package com.storlead.framework.web.message;

import com.storlead.framework.web.exception.MsgCodeSupport;

public enum ServiceMsgCode implements MsgCode {

    SELECT_DATA_ERROR(300007, "查询数据错误，请检查后重新操作"),
    ;

    ServiceMsgCode(int code, String message) {
        support = new MsgCodeSupport(code, message);
    }

    private final MsgCodeSupport support;

    @Override
    public int code() {
        return support.code();
    }

    @Override
    public String message() {
        return support.message();
    }
}
